Bug 54765 - pump updates resolv.conf despite -d flag
pump updates resolv.conf despite -d flag
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Eido Inoue
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-17 23:17 EDT by A. Campling
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-05 11:01:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description A. Campling 2001-10-17 23:17:25 EDT
Description of Problem:
Using pump to make a dhcp connection, I noticed that the -d flag seems to
be completely ignored, as is the --no-dns flag, or in pump.conf nodns, also
ignored.  I have a custom /etc/resolv.conf that pump insists on updating,
no matter how much I tell it not to.

Version-Release number of selected component (if applicable):
pump-0.8.11-1 and pump-0.8.11-7

How Reproducible:
every time

Steps to Reproduce:
1. /sbin/pump -d -i eth0

Actual Results:
actually over-wrote custom resolv.conf

Expected Results:
Expected pump NOT to over-write resolv.conf (-d flag)

Additional Information:
$ vi /etc/resolv.conf :

search meat.net
nameserver 64.81.48.19
search figure1.net
nameserver 24.0.43.86

$ /sbin/pump -d -i eth0
$ /sbin/ifconfig:

eth0      Link encap:Ethernet  HWaddr ...  UP BROADCAST RUNNING MULTICAST 
 etc etc etc....
(interface is working, good)

$ vi /etc/resolv.conf :

search telocity.com
nameserver 216.227.80.36
nameserver 216.227.49.36

Uncool.  Does the -d flag really work?  Or am I doing something wrong?  I
even have /etc/pump.conf configured with:

device eth0 {
  nodns
}

And it still overwrites my resolv.conf.  Bleck.
pump-0.8.11-1 and -7 both did this (I updated to see if it fixed the problem).
Comment 1 Eido Inoue 2004-01-05 11:01:58 EST
closing as supported products don't use pump anymore

Note You need to log in before you can comment on or make changes to this bug.